Bug 445758 - (libxml2) current namespace isn't popped in empty element
(libxml2) current namespace isn't popped in empty element
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: libxml2 (Show other bugs)
4.7
All Linux
medium Severity medium
: rc
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks: 410481
  Show dependency treegraph
 
Reported: 2008-05-08 17:25 EDT by Warren Togami
Modified: 2008-07-24 16:06 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2008-0774
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 16:06:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pop-current-namespace-if-empty.patch (493 bytes, patch)
2008-05-08 17:25 EDT, Warren Togami
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 164142 None None None Never

  None (edit)
Description Warren Togami 2008-05-08 17:25:38 EDT
RHEL4 has:
libxml2-2.6.16-10.1

http://bugzilla.gnome.org/show_bug.cgi?id=164142
This bug was fixed upstream in libxml2-2.6.17.

This two line patch seems to allow Google Talk messages sent from gmail to
successfully receive in pidgin-2.3.1.
Comment 1 Warren Togami 2008-05-08 17:25:38 EDT
Created attachment 304905 [details]
pop-current-namespace-if-empty.patch
Comment 4 Tim Burke 2008-05-08 20:25:55 EDT
Warren - did you verify that fix allows pidgin to work?
Comment 6 Warren Togami 2008-05-08 21:40:05 EDT
Yes, it seems to work for pidgin-2.3.1 on RHEL4.
Comment 11 Daniel Veillard 2008-05-12 11:17:16 EDT
1313231 build (dist-4E-qu-candidate, RHEL-4:libxml2-2_6_16-12): open
(js20-bc1-8.build.redhat.com) -> closed

libxml2-2.6.16-12 has been built with the fix,

Daniel
Comment 15 Michal Nowak 2008-07-15 04:14:26 EDT
/CoreOS/libxml2/445758-namespace-not-popped-in-empty-element
Comment 16 errata-xmlrpc 2008-07-24 16:06:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0774.html

Note You need to log in before you can comment on or make changes to this bug.